> For the complete documentation index, see [llms.txt](https://docs.eventication.com/event/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eventication.com/event/general/integrations/catalyst/memberships.md).

# Memberships

{% hint style="info" %}
This endpoint requires the **memberships** access to be enabled in the Catalyst integration settings.
{% endhint %}

#### <mark style="color:$success;">GET</mark> `/catalyst/memberships`

Returns members (users) for the event.

* URL: `https://api.eventication.com/catalyst/memberships?page=1`
* Page size: **200 objects per request**
* Fields per item:
  * `id`
  * `firstname`
  * `lastname`
  * `email_address`
  * `event_checkin_uuid`
    * This is the QR code on the Eventication ticket of the member.

Response shape:

```json
{
  "data": [
    {
      "id": 123,
      "firstname": "Ada",
      "lastname": "Lovelace",
      "email_address": "ada@example.com",
      "event_checkin_uuid": "memHBWTxl1v3sGJr0PUmUh4fry8Fx89y"
    },
    ...
  ],
  "meta": {
    "page": 1,
    "per_page": 100,
    "total_pages": 42,
    "total_count": 4199,
    "next_page": 2,
    "prev_page": null
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eventication.com/event/general/integrations/catalyst/memberships.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
